


#ifndef Wagnis_h
#define Wagnis_h

#include "WagnisPrereqs.h"
#include "WagnisGameboard.h"
#include "WagnisProvince.h"
#include "WagnisPlayer.h"
#include "gametypes/Deathmatch.h"


/** Die Wagnis Klasse hat die folgenden Aufgaben:
 *  1. Das Spiel erstellen.
 *  - Gameboard initialisieren
 *  - Provinzen initialisieren
 *  - Provinzen verbinden (Nachbarschaften eintragen)
 *  - Spieler initialisieren
 *  -
 * 
 *  2. Den Spielablauf steuern
 *  - Für einen Spieler berechnen wie viele Truppen er setzen darf.
 *  - Den Funktion "setTroops(int troops)" beim Spieler aufrufen.
 *  - Die Funktion "playerTurn()" bei jedem Spieler aufrufen.
 *  - 
 * 
 **/


namespace orxonox
{
    class /**_WagnisExport**/ Wagnis : public Deathmatch
    {
        public:
        Wagnis(Context* context);
        virtual ~Wagnis();
        void start();
        void tick(float);
        void playerFinishedStageCallback(WagnisPlayer*);



        WagnisGameboard* gameBoard;

        int active_player;
        int initial_reinforcements_left;
        int empty_provinces_left;
        GameStage gameStage;
        std::vector<WagnisPlayer*> players;
        void createGame();
        bool findGameBoard();
        int provinceCount();
        int provincesOfPlayerCounter(int);
    };
}
#endif
 /* Wagnis_h */