/*
 *   ORXONOX - the hottest 3D action shooter ever to exist
 *                    > www.orxonox.net <
 *
 *
 *   License notice:
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License
 *   as published by the Free Software Foundation; either version 2
 *   of the License, or (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 *   Author:
 *      Florian Zinggeler
 *
 */

#include "WagnisHUDinfo.h"

#include "core/CoreIncludes.h"
#include "core/XMLPort.h"
#include "util/Convert.h"
#include <string>

namespace orxonox
{
    RegisterClass(WagnisHUDinfo);

    WagnisHUDinfo::WagnisHUDinfo(Context* context) : OverlayText(context)
    {
        RegisterObject(WagnisHUDinfo);

        this->wagnisgame = nullptr;
        this->bShow_ = false;
    }

    void WagnisHUDinfo::tick(float dt)
    {
        SUPER(WagnisHUDinfo, tick, dt);
        if(wagnisgame==nullptr){
            findWagnis();
        }
        std::stringstream ss;
        switch(wagnisgame->gameStage){
            case CHOOSE_PROVINCE_STAGE: {
                ss<<"Player"<<wagnisgame->active_player;
                setCaption( ss.str() );
                break;
            }
        }
    }
    void WagnisHUDinfo::findWagnis(){
    for (Wagnis* gb : ObjectList<Wagnis>()){
        this->wagnisgame = gb;
        orxout()<<"Wagnis pointer found and added"<<endl;
        return;
    }
}
}
